# List embossing files info List embossing file information with date, program, and configuration filters. For more information about embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. For detailed information about embossing flows, refer to [Embossing flows](doc:physical-card-embossing#embossing-flows). **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing data", "description": "Embossing data endpoints" } ], "components": { "parameters": { "beginDateQuery": { "in": "query", "name": "beginDate", "schema": { "type": "string", "format": "date" }, "required": true, "description": "Beginning date filter, format = yyyy-mm-dd", "example": "2022-08-27" }, "configIdQuery": { "in": "query", "name": "configId", "schema": { "type": "string", "format": "uuid" }, "required": false, "description": "Embossing configuration/group ID.\n\nYou can call [Get nominal card embossing info](https://developers.pismo.io/pismo-docs/reference/get-embossing-info) to get a card's embossing details.\n\nYou can also call [Get org embosser info](https://developers.pismo.io/pismo-docs/reference/get-embossing-configurations-info) to get details about an Org's embossing settings. \n", "example": "6dacfdde-64bd-4a17-bbdf-3be627b271e6" }, "endDateQuery": { "in": "query", "name": "endDate", "schema": { "type": "string", "format": "date" }, "required": true, "description": "End date filter, format = yyyy-mm-dd", "example": "2022-08-27" } }, "schemas": { "ConfigID": { "type": "string", "format": "uuid", "description": "Embosser configuration/group ID. \n\nYou can call [Get nominal card embossing info](https://developers.pismo.io/pismo-docs/reference/get-embossing-info) to get a card's embossing group.\n\nYou can also call [Get org embosser info](https://developers.pismo.io/pismo-docs/reference/get-embossing-configurations-info) to get an embossing group's configuration ID. \n", "example": "acde070d-8c4c-4f0d-9d8a-162843c10333" }, "EmbosserFileInfo": { "type": "object", "description": "Embossing files info object", "properties": { "org_id": { "$ref": "#/components/schemas/OrgID" }, "file_id": { "type": "string", "description": "File ID", "example": "6dacfdde-64bd-4a17-bbdf-3be627b271e6" }, "file_name": { "$ref": "#/components/schemas/EmbossingFileName" }, "config_id": { "$ref": "#/components/schemas/ConfigID" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "generation_date": { "type": "string", "description": "File generation date, format = yyyy-mm-ddThh:mm:ssZ", "example": "2022-08-24T20:13:24Z" }, "total_embossed_cards": { "type": "integer", "description": "Total number of embossed cards", "example": 1000 }, "total_unembossed_cards": { "type": "integer", "description": "Total number of cards that did not get embossed", "example": 20 } } }, "EmbossingFileName": { "type": "string", "description": "Embossing file name", "example": "EMBOSSERFILE.pgp" }, "OrgID": { "type": "string", "description": "Organization/tenant ID", "example": "TN-f878e4a1-2879-48ba-be16-821e73ac98db" }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 7654 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "204NoContent": { "description": "No Content" } } }, "paths": { "/embossing/v1/file-info": { "get": { "operationId": "get-embossing-file-info", "summary": "List embossing files info", "description": "List embossing file information with date, program, and configuration filters. \n\nFor more information about embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n\nFor detailed information about embossing flows, refer to [Embossing flows](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing#embossing-flows).\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing data" ], "parameters": [ { "$ref": "#/components/parameters/beginDateQuery" }, { "$ref": "#/components/parameters/endDateQuery" }, { "in": "query", "name": "programs", "schema": { "type": "array", "items": { "type": "string" } }, "required": false, "description": "Organization program ID array", "example": [ "1", "2", "3" ] }, { "$ref": "#/components/parameters/configIdQuery" } ], "responses": { "200": { "description": "Embossing files info array.", "content": { "application/json": { "schema": { "properties": { "embossing_files": { "type": "array", "items": { "$ref": "#/components/schemas/EmbosserFileInfo" } } } }, "example": { "embossing_files": [ { "org_id": "tn-123", "file_id": "6dacfdde-64bd-4a17-bbdf-3be627b271e6", "file_name": "EMBOSSERFILE.pgp", "config_id": "6dacfdde-64bd-4a17-bbdf-3be627b271e6", "program_id": 1226, "generation_date": "2022-08-24T20:13:24Z", "total_embossed_cards": 1000, "total_unembossed_cards": 20 } ] } } } }, "204": { "$ref": "#/components/responses/204NoContent" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-bad-request": { "value": { "message": "start date is required", "error": "bad_request", "status": 400 } } } } } } } } } } } ```